Configuración de los controladores de PHP

Plesk ofrece soporte integral para el lenguaje de scripting de PHP en múltiples versiones, así como para diversos tipos de controladores. En este tema, el administrador de Plesk encontrará indicaciones para poner a disposición de sus clientes los controladores de PHP, así como para ajustar la configuración de PHP para las distintas versiones de este.

Puesta a disposición de los tipos de controladores para los clientes

Si desea habilitar o inhabilitar una combinación determinada de versión de PHP y tipo de controlador, vaya a Herramientas y configuración > Configuración de PHP. Aparecerá una lista con todas las combinaciones de versión de PHP y tipo de controlador disponibles en el servidor:

El icono junto a cada combinación indica que está a disposición de sus clientes y que pueden escogerla; el icono indica que la combinación no está disponible. Haga clic en el icono para activar la disponibilidad de una combinación determinada de versión de PHP + tipo de controlador. Cualquier cliente que disponga del permiso para escoger la versión de PHP y el tipo de controlador para su dominio podrá seleccionar cualquiera de las combinaciones que usted haya habilitado. El número de dominios que utilizan una determinada combinación de versión de PHP y tipo de controlador aparece a la derecha de su nombre. Haciendo clic en la cifra podrá acceder a la lista de dominios que utilizan dicha combinación.

Cada tipo de controlador tiene un determinado grado de seguridad y consume una cantidad de recursos distinta. Con esta función podrá restringir el uso de un tipo de controlador o de una versión de PHP concreta (mediante la desactivación de todas las combinaciones de versión de PHP y tipo de controlador que contengan dicha versión). El controlador CGI de PHP, por ejemplo, no está disponible para todas las versiones de PHP por omisión. No obstante, puede habilitarlo para un versión de PHP concreta o para todas ellas. Si no está seguro de qué controladores de PHP habilitar, puede informarse sobre los distintos tipos existentes aquí.

 

Configuración y extensiones de PHP

Plesk le permite activar o desactivar determinadas extensiones de PHP y configurar una amplia variedad de parámetros de configuración de PHP de forma manual. Puede configurar estos parámetros para cada versión de PHP independientemente de todas las demás. Por ejemplo, puede configurar una lista de extensiones activadas para PHP 5.3 totalmente distinta a la de PHP 5.4. Estos parámetros se aplican a cada tipo de controlador de PHP. Por ejemplo, si activa la extensión xdebug para PHP 5.3, esta se activará para todos los dominios que utilicen PHP 5.3, tanto si usan el controlador de CGI, FastCGI o PHP-FPM.

Para cambiar la configuración de PHP de una versión específica, vaya a Herramientas y configuración > Configuración de PHP y haga clic en el nombre de cualquiera de las combinaciones de versión de PHP y tipo de controlador que contenga la versión de PHP cuya configuración desea cambiar. Por ejemplo, si desea cambiar la configuración de PHP 5.3, haga clic en 5.3.3 Módulo Apache o en 5.3.3 Aplicación FastCGI. Desde aquí puede administrar los siguientes parámetros de configuración de PHP:

  • Activar o desactivar las extensiones de PHP desde una lista predefinida.
  • Configurar los parámetros de PHP deseados editando el archivo php.ini.

Cualquier cambio realizado se aplicará en todos los sitios web que utilicen esa versión de PHP. Tenga en cuenta que los clientes que disponen de permiso para administrar la configuración de PHP pueden modificar determinados parámetros para sus dominios y subdominios. Todos los parámetros que se configuren a nivel de dominio sustituirán a los que se hayan establecido a nivel de servidor.

 

Leave your feedback on this topic here

If you have questions or need support, please visit the Plesk forum or contact your hosting provider.
The comments below are for feedback on the documentation only. No timely answers or help will be provided.